<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Plugin strings are defined here.
 *
 * @package     mod_lanebs
 * @category    string
 * @copyright   2020 Senin Yurii <katorsi@mail.ru>
 * @license     http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['pluginname'] = 'ЭУК-конструктор ЭБС Лань';
$string['modulename'] = 'ЭУК-конструктор ЭБС Лань';
$string['modulename_help'] = 'Плагин позволяет добавить в курс контент из ЭБС Лань: главы и параграфы учебников, статьи из научных журналов, образовательные видеоролики. Видеоинструкция по работе с ЭУК-конструктором здесь: https://youtu.be/FlcMjBvNAkk';
$string['lanebsname'] = 'Название ресурса';
$string['lanebsname_help'] = 'Введите название библиотеки';
$string['button_desc'] = 'Выбор ресурса';
$string['lanebs:name'] = 'Название ресурса';
$string['lanebs:name_desc'] = '';
$string['lanebs:name_default'] = 'Интеграция с ЭБС Лань';
$string['lanebs:token'] = 'Токен доступа';
$string['lanebs:token_desc'] = 'Токен, для работы с API';
$string['lanebs:login'] = 'Логин';
$string['lanebs:login_desc'] = '';
$string['lanebs:login_default'] = '';
$string['lanebs:token'] = 'Токен';
$string['lanebs:token_desc'] = '';
$string['pluginadministration'] = '';
$string['modulenameplural'] = 'Интеграция с ЭБС Лань';
$string['title_modal_search'] = 'Поиск ресурсов';
$string['search_str'] = 'Поисковая строка';
$string['search_placeholder_str'] = 'Введите название ресурса';
$string['button_label_str'] = 'Кнопка поиска';
$string['button_str'] = 'Найти';
$string['cancel_str'] = 'Закрыть';
$string['lanebs:get_tree'] = 'Право получать дерево каталога';
$string['lanebs:get_constructor'] = 'Право получать доступ к сервису Лань Конструктор';
$string['lanebs:addinstance'] = 'Право создавать инстансы модуля Лань Конструктор';
$string['title_modal_book'] = 'Предпросмотр';
$string['content_error'] = 'Выберите ресурс';
$string['lanebsbutton'] = 'Выбор ресурса';
$string['lanebsbutton_help'] = 'Найдите в окне нужный ресурс и нажмите "Добавить"';
$string['lanebs_filter_by_category'] = 'Выбрать по категории';
$string['lanebs_filter_by_name'] = 'По названию';
$string['lanebs_filter_by_author'] = 'По автору';
$string['lanebs_filter_by_toc'] = 'По оглавлению';
$string['lanebs_filter_by_spo'] = 'Только "СПО"';
$string['lanebs_filter_by_vo'] = 'Только "ВО"';
$string['lanebs_filter_by_all'] = 'Все';
$string['lanebs_read'] = 'Читать с';
$string['lanebs_read_page'] = 'страницы';
$string['lanebs_read_pg'] = 'стр';
$string['lanebs_cover'] = 'Обложка';
$string['lanebs_view'] = 'Просмотр';
$string['lanebs_error_textbox'] = 'Текстовое поле не найдено';
$string['lanebs_error_search'] = 'Кнопка поиска не найдено';
$string['lanebs_error_book'] = 'Сперва выберите книгу';
$string['lanebs_show_desc'] = 'Посмотреть описание';
$string['lanebs_add'] = 'Добавить';
$string['lanebs_preshow'] = 'Предпросмотр';
$string['lanebs_error_empty_search'] = 'Книги не найдены';
$string['lanebs_BACK'] = 'НАЗАД';
$string['lanebs_auth_error'] = 'Токен доступа отсутствует или неверный';
$string['lanebs_error_close'] = 'Кнопка "Закрыть" не найдена';
$string['lanebs_prev'] = 'Предыдущая';
$string['lanebs_next'] = 'Следующая';
$string['lanebs_from'] = 'из';
$string['lanebs_copy_attention'] = 'Сохраните модуль перед копированием настроек!';
$string['lanebs_copy_error'] = 'Ошибка. Скопируйте настройки повторно';
$string['video_button_desc'] = 'Выбор видео';
$string['title_modal_video'] = 'Выбор видео-рекомендаций';
$string['submit_button'] = 'Готово';
$string['player_title'] = 'Вопроизведение видео';
$string['video_materials'] = 'Видео-материалы:';
$string['choosen_resourse'] = 'Выбранный ресурс';
$string['page_number'] = 'Номер страницы';
$string['biblio_record'] = 'Библиографическая запись';
$string['video'] = 'Видео';
$string['copy_paste'] = 'Копирование/Вставка настроек';
$string['copy_settings'] = 'Копировать настройки';
$string['paste_settings'] = 'Вставить настройки';
$string['plugin_title'] = 'Библиотечная интеграция';
$string['subscriber_token'] = 'Токен подписчика';
$string['token_desc'] = 'Токен подписчика для доступа к читалке';
$string['lan_constructor'] = 'Перейти к выбору материалов';
$string['privacy:metadata'] = 'ЭУК-конструктор ЭБС Лань не хранит никаких персональных данных';
$string['lanebs_role'] = 'Роль для вебсервиса ЭУК-конструктора ЭБС Лань';

$string['connection_parameters'] = 'Прараметры соеденения';
$string['checking_plugin'] = 'Проверка плагина';
$string['instruction'] = 'Инструкция';

$string['unity_list'] = 'Единый список литературы';
$string['placeholder'] = 'заполнится автоматически';
$string['lanebs_youtube_info'] = 'Видеоинструкция по работе с Конструктором:';