<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Plugin version and other meta-data are defined here.
 *
 * @package     mod_lanebs
 * @copyright   2020 Senin Yurii <katorsi@mail.ru>
 * @license     http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

/** @var stdClass $plugin */
$plugin->component = 'mod_lanebs';
$plugin->release = '2.2.0';
$plugin->version = 2024090902;

$plugin->requires = 2023100900;
$plugin->maturity = MATURITY_STABLE;

/** @deprecated */
$plugin->base_url = 'https://c.lanbook.com';
/** @deprecated */
$plugin->auth_url = 'https://security.lanbook.com';
/** @deprecated */
$plugin->moodle_api = 'https://moodle-api.e.lanbook.com';
/** @deprecated */
$plugin->search_api = 'http://212.41.20.23:8080';
/** @deprecated */
$plugin->reader_url = 'https://reader.lanbook.com';
/** @deprecated */
$plugin->profile_url = 'https://profile.e.lanbook.com';
