define("mod_lanebs/modal_video",["exports","core/modal","jquery","core/ajax","core/custom_interaction_events","./modal_player_handle"],(function(_exports,_modal,_jquery,_ajax,_custom_interaction_events,_modal_player_handle){function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj}}function _defineProperty(obj,key,value){return key in obj?Object.defineProperty(obj,key,{value:value,enumerable:!0,configurable:!0,writable:!0}):obj[key]=value,obj}Object.defineProperty(_exports,"__esModule",{value:!0}),_exports.default=void 0,_modal=_interopRequireDefault(_modal),_jquery=_interopRequireDefault(_jquery),_ajax=_interopRequireDefault(_ajax),_custom_interaction_events=_interopRequireDefault(_custom_interaction_events);class ModalVideo extends _modal.default{configure(modalConfig){super.configure(modalConfig),ModalVideo.CONTENT_BLOCK=ModalVideo.SELECTORS.CONTENT_BLOCK}registerEventListeners(){super.registerEventListeners();const modal=this;this.getModal().on(_custom_interaction_events.default.events.activate,ModalVideo.SELECTORS.SUBMIT_BUTTON,ModalVideo.updateVideoField),this.getRoot().on(_custom_interaction_events.default.events.activate,ModalVideo.SELECTORS.CANCEL_BUTTON,(e=>{e.stopPropagation(),e.preventDefault(),modal.hide()}))}}return _exports.default=ModalVideo,_defineProperty(ModalVideo,"TYPE","mod_lanebs/modal_video"),_defineProperty(ModalVideo,"TEMPLATE","mod_lanebs/modal_video"),_defineProperty(ModalVideo,"SELECTORS",{SUBMIT_BUTTON:".video_submit",OPEN_BUTTON:"#id_modal_video_button",OPEN_BUTTON_CONTAINER:"#id_modal_video_button",CANCEL_BUTTON:".video_close",CONTENT_BLOCK:"[data-action='video_content_block']",CLOSE_CROSS:".modal_content_lan_reader .close",ROOT_MODAL:"[data-region='modal-container']",DATA_TOC:"#data-toc",BOOK_ID_SELECTOR:"[name='content']",SEARCH_CLASS:".modal_video",VIDEOS_FIELD:"input[name='videos']",DELETE_SELECTED:"span.closes",PREVIEW_CLASS:".video-item",PREVIEW_TEXT:"span.video_preview",PREVIEW_CONTAINER:".video_preview_container",TRIGGER_PLAYER:"img.modal_video",PLAY_BUTTON_HOVER:".video_play_hover"}),_defineProperty(ModalVideo,"strings",{}),_defineProperty(ModalVideo,"printTocs",(()=>{const bookId=(0,_jquery.default)(ModalVideo.SELECTORS.BOOK_ID_SELECTOR).val();if(""!==bookId){let tocArgs={id:bookId,page:0};ModalVideo.getAjaxCall("mod_lanebs_toc_name",tocArgs,(function(tocs){let videosArgs={id:(0,_jquery.default)(ModalVideo.SELECTORS.BOOK_ID_SELECTOR).val()};ModalVideo.getAjaxCall("mod_lanebs_toc_videos",videosArgs,(function(videos){let innerTocHtml="",issetTocVideo=[],BreakException={};tocs&&tocs.forEach((function(value,index){let uniqueIndex,videosList='<ul class="modal_video">',currentPage=value.page;issetTocVideo[index]=!1;try{videos.forEach((function(video){if(video.start_page===currentPage)issetTocVideo[index]=!0,uniqueIndex=video.unique_id+"_"+index,videosList+='<li class="modal_video"><label for="video_'+uniqueIndex+'" class="modal_video"><p class="modal_video"><input type="checkbox" data-unique="'+uniqueIndex+'" class="modal_video" id="video_'+uniqueIndex+'" data-url="'+video.link_url+'" />'+video.link_name+'</p><img src="'+ModalVideo.getYoutubePreview(video.link_url)+'" alt="'+video.link_name+'" class="modal_video" data-id="'+ModalVideo.getYoutubeId(video.link_url)+'" /><div class="video_play_hover"></div></label></li>';else if("-1"===video.start_page)throw issetTocVideo[index]=void 0,(0,_jquery.default)(ModalVideo.SELECTORS.OPEN_BUTTON_CONTAINER).closest(".form-group").addClass("hidden"),BreakException}))}catch(e){if(e!==BreakException)throw e}videosList+="</ul>",!0===issetTocVideo[index]&&(innerTocHtml+='<div class="item-toc" style="margin-bottom:10px;" data-page="'+currentPage+'"><span>'+value.title+", "+ModalVideo.strings.lanebs_read_pg+". "+value.page+'</span><br><a class="" data-toggle="collapse" href="#collapseDescription_'+currentPage+"_"+index+'" role="button">Видео-рекомендации</a><div class="collapse" id="collapseDescription_'+currentPage+"_"+index+'">'+videosList+"</div></div>")})),void 0!==issetTocVideo[0]&&((0,_jquery.default)(ModalVideo.SELECTORS.OPEN_BUTTON_CONTAINER).closest(".form-group").removeClass("hidden"),(0,_jquery.default)(ModalVideo.SELECTORS.DATA_TOC).html(innerTocHtml),(0,_jquery.default)(ModalVideo.SELECTORS.TRIGGER_PLAYER).on("click",(function(e){let linkId=(0,_jquery.default)(e.target).attr("data-id");(0,_modal_player_handle.init)(e,linkId)})),(0,_jquery.default)(ModalVideo.SELECTORS.PLAY_BUTTON_HOVER).on("click",(function(e){e.preventDefault(),e.stopPropagation(),(0,_jquery.default)(e.currentTarget).siblings(ModalVideo.SELECTORS.TRIGGER_PLAYER).trigger("click")})));let issetVideos=ModalVideo.getIssetVideos();issetVideos&&(ModalVideo.printVideos(issetVideos),ModalVideo.preCheckVideos(issetVideos))}))}))}})),_defineProperty(ModalVideo,"getAjaxCall",((methodname,args,callback)=>_ajax.default.call([{methodname:methodname,args:args}])[0].then((function(response){return callback(JSON.parse(response.body)),!0})).fail((function(response){return window.console.log(response),!1})))),_defineProperty(ModalVideo,"printVideos",(videos=>{let previewBlock='<div class="col-md-3"></div><div class="container col-md-9">';videos.forEach((function(value){previewBlock+='<div class="item video-item row"><div class="img-wraps"><span class="closes" title="Delete" data-unique="'+value.unique+'">×</span><img width="100px;" height="100px;" src="'+ModalVideo.getYoutubePreview(value.link)+'" alt="'+value.name+'" class="img-responsive" src="images/image.jpg" data-id="'+ModalVideo.getYoutubeId(value.link)+'"/></div><span class="video_preview">'+value.name+"</span></div>"})),previewBlock+="</div>",(0,_jquery.default)(ModalVideo.SELECTORS.PREVIEW_CONTAINER).html(previewBlock),ModalVideo.deleteSelectedEvent()})),_defineProperty(ModalVideo,"getYoutubeId",(link=>{let urlParams=link.split("?")[1];return new URLSearchParams(urlParams).get("v")})),_defineProperty(ModalVideo,"getYoutubePreview",(link=>"https://img.youtube.com/vi/"+ModalVideo.getYoutubeId(link)+"/0.jpg")),_defineProperty(ModalVideo,"getIssetVideos",(()=>{let videos=(0,_jquery.default)(ModalVideo.SELECTORS.VIDEOS_FIELD).val();try{return JSON.parse(videos)}catch(e){return window.console.log(e.message),""}})),_defineProperty(ModalVideo,"preCheckVideos",(videos=>{videos.forEach((function(value){(0,_jquery.default)(ModalVideo.SELECTORS.ROOT_MODAL).find('input[data-unique="'+value.unique+'"]').trigger("click")}))})),_defineProperty(ModalVideo,"deleteSelectedEvent",(()=>{(0,_jquery.default)(ModalVideo.SELECTORS.DELETE_SELECTED).each((function(index,value){(0,_jquery.default)(value).on("click",(function(e){let videoItem=(0,_jquery.default)(e.target).closest(ModalVideo.SELECTORS.PREVIEW_CLASS),videoUnique=(0,_jquery.default)(e.target).attr("data-unique");(0,_jquery.default)(ModalVideo.SELECTORS.ROOT_MODAL).find('input[data-unique="'+videoUnique+'"]').trigger("click"),(0,_jquery.default)(videoItem).remove(),ModalVideo.updateVideoField()}))}))})),_defineProperty(ModalVideo,"updateVideoField",(()=>{let videos=[];(0,_jquery.default)(ModalVideo.SELECTORS.ROOT_MODAL).find("ul"+ModalVideo.SELECTORS.SEARCH_CLASS+" input:checked").each((function(index,value){let url=(0,_jquery.default)(value).attr("data-url");videos.push({link:url,name:(0,_jquery.default)(value).closest("p").text(),unique:(0,_jquery.default)(value).attr("data-unique"),video_id:ModalVideo.getYoutubeId(url)})})),(0,_jquery.default)(ModalVideo.SELECTORS.VIDEOS_FIELD).val(JSON.stringify(videos)),ModalVideo.printVideos(videos),(0,_jquery.default)(ModalVideo.SELECTORS.CANCEL_BUTTON).trigger("click")})),_defineProperty(ModalVideo,"resetModal",(()=>{ModalVideo.clearAllData(),ModalVideo.printTocs()})),_defineProperty(ModalVideo,"clearAllData",(()=>{(0,_jquery.default)(ModalVideo.SELECTORS.VIDEOS_FIELD).val("[]"),(0,_jquery.default)(ModalVideo.SELECTORS.PREVIEW_CONTAINER).html("")})),_exports.default}));

//# sourceMappingURL=modal_video.min.js.map